Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class SmtpConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.email.AbstractMailConnector
              org.mule.transport.email.SmtpConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  GmailSmtpConnector, SmtpsConnector

    public class SmtpConnector

extends AbstractMailConnector

`SmtpConnector` is used to connect to and send data to an SMTP mail server

Field Summary
`static String` | `DEFAULT_CONTENT_TYPE`
`static String` | `DEFAULT_SMTP_HOST`
`static int` | `DEFAULT_SMTP_PORT`
`static String` | `SMTP`

Fields inherited from class org.mule.transport.email.AbstractMailConnector
`ATTACHMENT_HEADERS_PROPERTY_POSTFIX, MAILBOX`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SmtpConnector(MuleContext context)`

Method Summary
`MessageReceiver` | `createReceiver(FlowConstruct flowConstruct, InboundEndpoint endpoint)` Create a Message receiver for this connector
`String` | `getBccAddresses()`
`String` | `getCcAddresses()`
`String` | `getContentType()`
`Properties` | `getCustomHeaders()`
`int` | `getDefaultPort()`
`String` | `getFromAddress()`
`String` | `getProtocol()`
`String` | `getReplyToAddresses()`
`String` | `getSubject()`
`void` | `setBccAddresses(String string)`
`void` | `setCcAddresses(String string)`
`void` | `setContentType(String contentType)`
`void` | `setCustomHeaders(Properties customHeaders)`
`void` | `setFromAddress(String string)`
`void` | `setReplyToAddresses(String replyTo)`
`void` | `setSubject(String string)`

Methods inherited from class org.mule.transport.email.AbstractMailConnector
`doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, dumpProperties, extendPropertiesForSession, getAuthenticator, getBaseProtocol, getMailboxFolder, getSessionDetails, newSession, setAuthenticator, setMailboxFolder, urlFromEndpoint`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SMTP

    public static final String SMTP

See Also:
  Constant Field Values

### DEFAULT_SMTP_HOST

    public static final String DEFAULT_SMTP_HOST

See Also:
  Constant Field Values

### DEFAULT_SMTP_PORT

    public static final int DEFAULT_SMTP_PORT

See Also:
  Constant Field Values

### DEFAULT_CONTENT_TYPE

    public static final String DEFAULT_CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### SmtpConnector

    public SmtpConnector(MuleContext context)

Method Detail

### getProtocol

    public String getProtocol()

  Returns:
    the primary protocol name for endpoints of this connector

### createReceiver

    public MessageReceiver createReceiver(FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint)
                                   throws Exception

  Description copied from class: `AbstractConnector`
  Create a Message receiver for this connector

  Overrides:
    `createReceiver` in class `AbstractConnector`
  Parameters:
    `flowConstruct` - the service that will receive events from this receiver, the listener
    `endpoint` - the endpoint that defies this inbound communication
  Returns:
    an instance of the message receiver defined in this connectors' `TransportServiceDescriptor` initialised using the service and endpoint.
  Throws:
    `Exception` - if there is a problem creating the receiver. This exception really depends on the underlying transport, thus any exception could be thrown

### getFromAddress

    public String getFromAddress()

  Returns:
    The default from address to use

### getBccAddresses

    public String getBccAddresses()

  Returns:
    the default comma separated list of BCC addresses to use

### getCcAddresses

    public String getCcAddresses()

  Returns:
    the default comma separated list of CC addresses to use

### getSubject

    public String getSubject()

  Returns:
    the default message subject to use

### setBccAddresses

    public void setBccAddresses(String string)

### setCcAddresses

    public void setCcAddresses(String string)

### setSubject

    public void setSubject(String string)

### setFromAddress

    public void setFromAddress(String string)

### getReplyToAddresses

    public String getReplyToAddresses()

### setReplyToAddresses

    public void setReplyToAddresses(String replyTo)

### getCustomHeaders

    public Properties getCustomHeaders()

### setCustomHeaders

    public void setCustomHeaders(Properties customHeaders)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getDefaultPort

    public int getDefaultPort()

  Overrides:
    `getDefaultPort` in class `AbstractMailConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.